Apply updates to selected instances the managed instance group.
HTTP request
POST https://compute.s3nsapis.fr/compute/v1/projects/{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/applyUpdatesToInstances The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region scoping this request, should conform to RFC1035. |
instanceGroupManager |
The name of the managed instance group, should conform to RFC1035. Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "instances": [ string ], "minimalAction": enum ( |
| Fields | |
|---|---|
instances[] |
The list of URLs of one or more instances for which you want to apply updates. Each URL can be a full URL or a partial URL, such as
. |
minimalAction |
The minimal action that you want to perform on each instance during the update:
. If your update requires a more disruptive action than you set with this flag, the necessary action is performed to execute the update. |
mostDisruptiveAllowedAction |
The most disruptive action that you want to perform on each instance during the update:
. If your update requires a more disruptive action than you set with this flag, the update request will fail. |
allInstances |
Flag to update all instances instead of specified list of "instances". If the flag is set to true then the instances may not be specified in the request. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.